
QGIS Application - Bug report #899

Raster RGB bands not set correctly on 0.9.1 projects in trunk 7933

2008-01-11 03:35 PM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10958

Description

On opening a project with color raster tiffs from 0.9.1 in 0.9.2 trunk (version 7933), the rasters do not displaying correctly. See:

http://www.flickr.com/photos/67875808@N00/2185629817/

http://www.flickr.com/photos/67875808@N00/2185629813/

for what it should look like versus what it does look like.

On examination of the xml project files, the RGB raster bands are "Not Set" for the older file, whereas they need to be set to a color band.

Changing theses settings manually for each raster in the properties dialog will remedy the situation.

History

#1 - 2008-01-11 03:45 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

This was -presumably - fixed in commit:488bffb1 (SVN r7935).

#2 - 2008-01-11 04:31 PM - Magnus Homann

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Apparently not fixed, after talks in log. However, I can't reproduce it. It would be great if you could attach the offending 0.9.1 project, and preferrably also an

image. You can email me for details.

#3 - 2008-01-12 11:38 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Feedback to Closed

The issue was that the project was written with a svn version that was somewhere in between 0.9.1 and 0.9.2. The version number in the project file was

set to 0.9.2, and no transform was thus performed.

Project files revision upgrade is only supposed to work reliably, if

1) You only use releases, and not from svn repo.

2) From 0.8.0 and onwards.
#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
